Subject: Re: bash performance not so gooood
From: [email-masked] (Geoffrey Noer)

17 Sep 1997 18:52:40 -0700
Message-ID: <[email-masked]>
References: <c=US%a=_%p=COMPAQ%l=[email-masked]>
Content-Type: text
To: [email-masked] (Khosla Deepak)
Cc: [email-masked]

Khosla, Deepak wrote:
> 
> Hi,
> Just some comparison numbers on a large script I ran on Windows NT 4.0 
> SP3 using some different packages:
> 
> Gnuwin bash	- 2 mins 20 secs
> MKS ksh	- 2 mins 0 secs
> ATT UWIN ksh -  0 mins 20 secs
> 
> Any opinions as to why?

I'm not surprised.

Very little time has been spent optimizing cygwin.dll or bash.
Bash currently uses fork() instead of spawn() which costs it
quite a bit of time.  The Cygwin32 layer also needs performance
analysis.  Until that happens, it will be slower than it needs to
be.

> Any ideas since at this performance, I would have to buy the UWIN 
> package and I would prefer not doing it....

You could either buy UWIN or improve cygwin.dll and/or bash and send
us patches.  :-)

-- 
Geoffrey Noer
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".